public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/curb/
Date: Wed,  4 Nov 2020 05:59:46 +0000 (UTC)	[thread overview]
Message-ID: <1604469567.0621d9606ed5ea555f18110f531c2c27d3d42bcb.graaff@gentoo> (raw)

commit:     0621d9606ed5ea555f18110f531c2c27d3d42bcb
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Nov  4 05:58:14 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Nov  4 05:59:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0621d960

dev-ruby/curb: add 0.9.11

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/curb/Manifest           |  1 +
 dev-ruby/curb/curb-0.9.11.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-ruby/curb/Manifest b/dev-ruby/curb/Manifest
index 01cddcb4326..e30b5ce8ea5 100644
--- a/dev-ruby/curb/Manifest
+++ b/dev-ruby/curb/Manifest
@@ -1 +1,2 @@
 DIST curb-0.9.10.gem 88064 BLAKE2B 8f761e752bc1fd0775f012373847330d3ced9d394e5159b74c8e329247f6221bbc26978755d84b91e75b4082b7bb50c7755db299f90f291516f355b4ab1ddc7c SHA512 eab82d3c1b34bf8e5bfd334abca38a80eaab255d31164ca189185b8b98d7f3760fb116babf50dce5aef01be30b15e9374e7a84e1b0926dba13c3e9f8d36c54ca
+DIST curb-0.9.11.gem 88576 BLAKE2B 1656a17070151ddd1bd63c3e23885d36d8e2b133b19e00347892363a9a20c88baa10932ceb5273733b18847d8d19dc403aa4b7f36fbd80c8dde126ae46743796 SHA512 000ee2054a5866de09042dfc5894330900e401aa94a0fe8bb133fe9c661f7899992adff0585e5ed3725d3564cd9819d76653655f3539faaa61ca6acabe3a8602

diff --git a/dev-ruby/curb/curb-0.9.11.ebuild b/dev-ruby/curb/curb-0.9.11.ebuild
new file mode 100644
index 00000000000..c623b8cffa5
--- /dev/null
+++ b/dev-ruby/curb/curb-0.9.11.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rake"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby-language bindings for libcurl"
+HOMEPAGE="https://github.com/taf2/curb"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" net-misc/curl[ssl]"
+RDEPEND+=" net-misc/curl[ssl]"
+
+all_ruby_prepare() {
+	# fix tests when localhost is also ::1
+	sed -i -e 's|localhost:|127.0.0.1:|g' tests/*.rb || die
+
+	# avoid tests making outside network connections
+	rm tests/bug_postfields_crash.rb || die
+	sed -e '/test_easy_http_verbs_must_respond_to_str/,/^  end/ s:^:#:' \
+		-i tests/tc_curl_easy.rb || die
+	sed -e '/test_connection_keepalive/aomit "network connection needed"' \
+		-i tests/tc_curl_multi.rb || die
+
+	# Fix test that expects wrong output
+	sed -i -e 's/200 OK /200 OK/' tests/tc_curl_easy.rb || die
+
+	# avoid failing tests where failure condition seems weird, no
+	# upstream travis so not clear if the test is indeed broken.
+	sed -i -e '/test_multi_easy_http/,/^  end/ s:^:#:' tests/tc_curl_multi.rb || die
+}
+
+each_ruby_configure() {
+	${RUBY} -Cext extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+	emake -Cext CFLAGS="${CFLAGS} -fPIC" archflags="${LDFLAGS}" V=1
+	cp -l ext/curb_core$(get_modname) lib || die
+}


             reply	other threads:[~2020-11-04  5:59 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-11-04  5:59 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/curb/ Jakov Smolić
2024-08-24  7:58 Hans de Graaff
2024-06-02  8:34 Hans de Graaff
2023-12-27 20:33 Hans de Graaff
2023-07-07  5:18 Hans de Graaff
2023-07-07  5:18 Hans de Graaff
2023-04-07  4:12 Sam James
2023-03-02  6:16 Hans de Graaff
2023-03-02  6:16 Hans de Graaff
2023-01-08  7:49 Hans de Graaff
2022-12-29  7:20 Hans de Graaff
2022-12-29  7:20 Hans de Graaff
2022-05-07  6:34 Hans de Graaff
2021-10-31  4:45 Hans de Graaff
2021-10-27 11:26 Hans de Graaff
2021-10-27 11:26 Hans de Graaff
2021-09-01  6:23 Hans de Graaff
2021-08-15  7:41 Hans de Graaff
2021-07-12 13:26 Hans de Graaff
2021-07-12 13:26 Hans de Graaff
2020-09-21 17:40 Hans de Graaff
2020-09-15  6:00 Hans de Graaff
2020-08-21 15:02 Hans de Graaff
2019-04-20  6:37 Hans de Graaff
2019-04-20  6:37 Hans de Graaff
2019-03-08  5:29 Hans de Graaff
2019-02-13  6:46 Hans de Graaff
2019-01-13  7:55 Hans de Graaff
2018-11-27  6:41 Hans de Graaff
2018-05-29  3:06 Hans de Graaff
2018-04-13 23:22 Aaron Bauman
2018-02-02 17:14 Hans de Graaff
2018-02-02 17:14 Hans de Graaff
2017-08-27  6:18 Hans de Graaff
2017-08-18  6:11 Hans de Graaff
2017-02-04 16:17 Hans de Graaff
2016-08-30  5:40 Hans de Graaff
2016-03-09 22:48 Manuel Rüger
2015-12-15  6:24 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1604469567.0621d9606ed5ea555f18110f531c2c27d3d42bcb.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox